package com.ruoyi.device.mqtt.vo;

/**
 * 报文的固定格式解析对象
 *
 * @author lwm
 */
public class CommonHeader
{
    /**
     * 报文头 固定帧头
     */
    private int frameHeader;

    /**
     * 协议版本
     */
    private int protoVer;

    /**
     * 消息编号
     */
    private Long msgId;

    /**
     * 报文一级类型
     */
    private int firstType;

    /**
     * 报文二级类型
     */
    private int secondType;

    /**
     * 报文消息体body长度 + 2
     */
    private int msgLength;

    public int getFrameHeader()
    {
        return frameHeader;
    }

    public void setFrameHeader(int frameHeader)
    {
        this.frameHeader = frameHeader;
    }

    public int getProtoVer()
    {
        return protoVer;
    }

    public void setProtoVer(int protoVer)
    {
        this.protoVer = protoVer;
    }

    public Long getMsgId()
    {
        return msgId;
    }

    public void setMsgId(Long msgId)
    {
        this.msgId = msgId;
    }

    public int getFirstType()
    {
        return firstType;
    }

    public void setFirstType(int firstType)
    {
        this.firstType = firstType;
    }

    public int getSecondType()
    {
        return secondType;
    }

    public void setSecondType(int secondType)
    {
        this.secondType = secondType;
    }

    public int getMsgLength()
    {
        return msgLength;
    }

    public void setMsgLength(int msgLength)
    {
        this.msgLength = msgLength;
    }
}
